| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/subrec.h File Reference

Stuff small rectangles into a bigger one. More...

`#include "csextern.h"`
`#include "csgeom/csrect.h"`
`#include "csutil/array.h"`
`#include "csutil/blockallocator.h"`

Go to the source code of this file.

## Classes
class | csSubRectangles
| A class managing allocations of sub-rectangles. More...
class | csSubRectangles::SubRect
| Sub-rectangle. More...
struct | csSubRectangles::SubRect::AllocInfo
## Typedefs
typedef csSubRectangles::SubRect | csSubRect

## Detailed Description

Stuff small rectangles into a bigger one.

Definition in file subrec.h.